#!/usr/bin/python
#
# Determine when the test in PR bin/48367 started failing
#

import os
import sys

from bracket import *

use_current_repository()

op = make_sh_test_op('make_no_parallel',
'''
cat <<\END >muck.uu
begin 600 muck.tgz
M'XL(`+N&>5(``^W504^#,!0'<*[V4[P#6>"RO992=)X\>#+[$`@ED!5(-HE?
MWT*FAQDU2P::^/]=7FD)E/QY:3L4^V!FS)HS9E\S8U+EZ^2]3F.I5&(23I3.
M_+R4FM,@G7MCH^'XDA^(@K+NG<N[\JO[7FMKW1(;6E;K\]^T^:P_P27Y2Z7'
M_)4?(/\%?.2_V>5[6S7.7O\=+)G--_E+:<[SUZQ,P-??RF?_//_C\+R]%V)=
M]0=JJ.E(DJ*$-*5D**-;NB/)8KR+JKX/HR86I[H5-[:H>PH;L;9=Z1\@Q&]_
M#5QJZO_Y6G_R4__[Q?/S/Y$R0_\O0.3.^4Z.BI+&4X!6*PJCW</38QR+<4WY
@Q=,$^4MT.`````````````````#`'_4&=W+D30`H``!6
`
END
uudecode <muck.uu
zcat muck.tgz | tar xfv -
cd muck
make -j10 2>&1 | grep foo1
''')

find_failure(
    rcs2ts("2011.05.01.02.52.42"),
    rcs2ts("2013.09.11.23.15.47"),
    op, confirm = True)
